Request

Response

    Update item of the Bill of Materials
    PATCH

    products/{productId}/bill-of-materials-items/{billOfMaterialsItemId}

    Modifies only the specified attributes in the request body for the identified item of the Bill of Materials. Attributes not included in the request remain unchanged.

    Resource Information

    Method and URI
    PATCH
    https://api.aps.autodesk.com/fusion-operations/v2/products/{productId}/bill-of-materials-items/{billOfMaterialsItemId}
    Authentication Context
    No security required
    Required OAuth Scopes
    data:read data:write
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    JWT Access Token
    Content-Type*
    string
    Must be application/json
    * Required

    Request

    URI Parameters

    productId
    int
    The unique identifier of the Product.
    billOfMaterialsItemId
    int
    The unique identifier of the Bill of Materials item.

    Request

    Body Structure

    The bill of materials item attributes to be updated, conforming to the specified schema. Only the provided fields will be modified.

    Expand all
    product
    id
    int
    Unique identifier of the referenced entity.
    code
    string
    Code of the referenced entity.

    Max length: 255

    anyOf
    0
    1
    operation
    The operation where the material is used. The operation must belong to the product.
    id
    int
    Unique identifier of the referenced entity.
    code
    string
    Code of the referenced entity.

    Max length: 255

    anyOf
    The operation where the material is used. The operation must belong to the product.
    0
    1
    quantity
    number
    fixedQuantity
    boolean
    Indicates if the consumption is fixed, regardless of produced quantity. The default value is false.

    Response

    HTTP Status Code Summary

    200
    OK
    Bill of Materials Item updated successfully.
    400
    Bad Request
    Bad request due to invalid data.
    401
    Unauthorized
    The access token is invalid. It may have either expired or may not be a three-legged access token. Please verify the token and retry the request.
    403
    Forbidden
    The request was successfully validated but lacked required permission. Please verify your token permissions and retry the request.
    404
    Not Found
    The resource in the path does not exist.
    429
    Too Many Requests
    Rate limit exceeded; wait some time before retrying.
    500
    Internal Server Error
    An unknown server-side error occurred. Please try again later. If the problem persists, please contact support.

    Response

    Header (429)

    Retry-After
    integer
    The number of seconds to wait before retrying the request.

    Response

    Body Structure (200)

    Expand all
    id
    int
    The unique identifier of the Bill of Materials Item to retrieve.
    product
    id
    int
    Unique identifier of the referenced entity.
    code
    string
    Code of the referenced entity.

    Max length: 255

    name
    string
    Name of the referenced entity.

    Max length: 255

    anyOf
    0
    1
    operation
    The operation where the material is used. The operation must belong to the product.
    id
    int
    Unique identifier of the referenced entity.
    code
    string
    Code of the referenced entity.

    Max length: 255

    name
    string
    Name of the referenced entity.

    Max length: 255

    anyOf
    The operation where the material is used. The operation must belong to the product.
    0
    1
    quantity
    number
    fixedQuantity
    boolean
    Indicates if the consumption is fixed, regardless of produced quantity. The default value is false.

    Example

    Bill of Materials Item updated successfully.

    Request

    curl -v 'https://developer.api.autodesk.com/fusion-operations/v2/products/:productId/bill-of-materials-items/:billOfMaterialsItemId' \
      -X 'PATCH' \
      -H 'Authorization: ' \
      -H 'Content-Type: application/json' \
      -d '{
            "quantity": 8
          }'
    

    Response

    {
      "id": 745,
      "product": {
        "id": 435,
        "code": "Component product 1",
        "name": "Component product 1"
      },
      "operation": {
        "id": 44,
        "code": "Operation of XPTO product",
        "name": "Operation of XPTO product"
      },
      "quantity": 8,
      "fixedQuantity": false
    }
    
    Show More